> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/subscriptions/re-send-subscription-activation-keys.md).

# Re-send subscription activation keys

Use this method to send or re-send activation keys for a list of subscriptions. If no email is provided, messages get sent to the end user email set on each subscription.

## Request parameters

<table><thead><tr><th width="253">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier, output of the <strong>Login</strong> method. An exception is thrown if the values are incorrect.</td></tr><tr><td><code>refNo</code></td><td><strong>Required (string)</strong><br>The unique identifier of an order from the Avangate system.</td></tr><tr><td><code>subscriptionReferencesList</code></td><td><strong>Required (stringArray)</strong><br>Array of subscription references for which activation keys will be sent. You can send keys for up to 50 subscriptions at once.</td></tr><tr><td><code>email</code></td><td><strong>Optional (string)</strong><br>End user email address. Can be NULL.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$refNo = 'YOUR_ORDER_REFERENCE';
$subscriptionReferencesList = array('REFERENCE_1', 'REFERENCE_2');
$email = 'YOUR_EMAIL_ADDRESS';

try {
    $ActivationKeyEmail= $client->resendSubscriptionsActivationKeys ($sessionID, $refNo, $subscriptionReferencesList, $email);
} catch (SoapFault $e) {
    Echo "Keys: " . $e->getMessage();
    exit;
}
var_dump ("Keys ", $ActivationKeyEmail);
```

## Response parameters

<table><thead><tr><th width="116.2000732421875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><strong>Result</strong></td><td><strong>Boolean</strong><br>True or false</td></tr></tbody></table>

## Errors

<table><thead><tr><th width="368.199951171875">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>NOT_FOUND_PARTNER</strong></td><td>A partner must be set first.</td></tr><tr><td><strong>INVALID_ORDER</strong></td><td>Order is not yet completed.</td></tr><tr><td><strong>EMPTY_SUBSCRIPTION_REFERENCES_LIST</strong></td><td>The subscription references list is empty.</td></tr><tr><td><strong>INVALID_SUBSCRIPTION_REFERRENCE</strong></td><td>The subscription reference is invalid.</td></tr><tr><td><strong>INVALID_EMAIL</strong></td><td>The email address is invalid.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/subscriptions/re-send-subscription-activation-keys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
